#######################################################################
#       Licensed Materials - Property of IBM                          #
#       "Restricted Materials of IBM"                                 #
#       5748-T15                                                      #
#       Copyright IBM Corp. 2021, 2024                                #
#       All Rights Reserved                                           #
#       US Government Users Restricted Rights - Use, duplication      #
#       or disclosure restricted by GSA ADP Schedule Contract         #
#       with IBM Corp.                                                #
#######################################################################
# ---START OF HISTORY------------------------------------------------ #
#   DATE        DESCRIPTION                                           #
#   03242021    Updated for PJ46275 - JVM Monitor Support.            #
#   08062021    Improve z/TPF real-time insights dashboard starter    #
#               kit resource usage                                    #
#   06162022    PJ46737 - complex-wide dashboard and mysql support    #
#   20230307    PJ47008 - Runtime Metrics Collection Kafka Encryption #
#                         Support                                     #
#   20230719    PJ46904 - User-Defined Metrics                        #
#   20240403    PJ48015 - Vertical processing was limited to one      #
#   20240716    PJ47254 - RTMC CDC Dashboards                         #
# ---END OF HISTORY-------------------------------------------------- #
#######################################################################
#                                                                     #
#  GENERAL INFORMATION:                                               #
#                                                                     #
#  Disclaimer:   This package is provided on an "as is" basis. There  #
#                are no warranties, express or implied, including the #
#                implied warranties of merchantability and fitness    #
#                for a particular purpose. IBM has no obligation to   #
#                provide service, defect correction, or any           #
#                maintenance for the package.  IBM has no obligation  #
#                to supply any updates or enhancements for the        #
#                package to you even if such are or later become      #
#                available.                                           #
#                                                                     #
#######################################################################

KAFKA = 'kafka'
MARIADB = 'mariadb'
DATABASE = 'database'
LOGGING = 'logging'
VERSION = 'version'
APPLICATIONS = 'applications'
DATA_SOURCES = 'data_sources'
MAX_VERTICAL = 'max_vertical'
EXCLUDE_ZERO_DATA = 'exclude_zero_data'

KAFKA_HOSTS_FILE_VERSION = 'kafkaHostVersion'
KAFKA_HOSTS = 'kafka_hosts'
HOST = 'host'
PORT = 'port'

HOSTS = 'hosts'
PROG_VAR = 'programmatic_variables'
GROUPID = 'groupId'
FETCH_MIN_KB = 'fetch_min_kb'

ENCRYPTION = 'encryption'
SECURITY_PROTOCOL = 'security_protocol'
SECURITY_SETTINGS = 'security_settings'

KEY_PASSWORD_PEM = 'python_key_pem_file'
PASSWORD_FOR_KEY_PEM = 'key_password_file'
CA_ROOT_PEM = 'python_caroot_pem_file'
CA_CERT_PEM = 'python_certificate_pem_file'


USERNAME = 'username'
PASSWORD = 'password'
NAME = 'name'
SYSTEM = 'system'

PATH = 'path'
FILE = 'file'

TABLE = 'table'
FIELDS = 'fields'
MB_PER_FILE = 'mb_per_file'
BACKUP_COUNT = 'backup_count'

JVM = 'jvm'
NVPC_HORIZONTAL = 'nvpc_horizontal'
NVPC_VERTICAL = 'nvpc_vertical'
CDC = 'cdc'

ACTIVE = 'active'
KAFKA_TOPICS = 'kafka_topics'
TPF_PROCESSING = 'tpf_processing'
