#######################################################################
#       5748-T15                                                      #
#       Copyright IBM Corp. 2022                                      #
#######################################################################
# ---START OF HISTORY------------------------------------------------ #
#   DATE        DESCRIPTION                                           #
#   20220131    PJ46608 - multi-JVM and system selector support       #
#   06162022    PJ46737 - complex-wide dashboard and mysql support    #
# ---END OF HISTORY-------------------------------------------------- #
#######################################################################
#                                                                     #
#  GENERAL INFORMATION:                                               #
#                                                                     #
#  Disclaimer:   This package is provided on an "as is" basis. There  #
#                are no warranties, express or implied, including the #
#                implied warranties of merchantability and fitness    #
#                for a particular purpose. IBM has no obligation to   #
#                provide service, defect correction, or any           #
#                maintenance for the package.  IBM has no obligation  #
#                to supply any updates or enhancements for the        #
#                package to you even if such are or later become      #
#                available.                                           #
#                                                                     #
#######################################################################
from pymysql.cursors import Cursor

from tpf_cdc.tpf_cdc_header import CdcHeader
from tpf_data_manager import id_manager


class CdcDbHelper(object):

    def get_tpf_system_id(self, cdc_header: CdcHeader, db_cursor: Cursor):
        return id_manager.get_tpf_system_id(
            cdc_header.complex_name,
            cdc_header.cpc_name,
            cdc_header.system_name,
            cdc_header.processor_id,
            cdc_header.ip_address,
            cdc_header.environment,
            db_cursor
        )
