#######################################################################
#       5748-T15                                                      #
#       Copyright IBM Corp. 2024                                      #
#######################################################################
# ---START OF HISTORY------------------------------------------------ #
#   DATE        DESCRIPTION                                           #
#   20240716    PJ47254 - RTMC CDC Dashboards                         #
# ---END OF HISTORY-------------------------------------------------- #
#######################################################################
#                                                                     #
#  GENERAL INFORMATION:                                               #
#  This class is used to hold subsystem utility switches and the      #
#  time the switches were inserted into the database.                 #
#                                                                     #
#  Disclaimer:   This package is provided on an "as is" basis. There  #
#                are no warranties, express or implied, including the #
#                implied warranties of merchantability and fitness    #
#                for a particular purpose. IBM has no obligation to   #
#                provide service, defect correction, or any           #
#                maintenance for the package.  IBM has no obligation  #
#                to supply any updates or enhancements for the        #
#                package to you even if such are or later become      #
#                available.                                           #
#                                                                     #
#######################################################################

class SubsystemUtilitySwitches(object):

    def __init__(self, switches, altered_time):
        # The utility_switches field in the SUB_SYS_MSGS data type.
        self.switches = switches

        # altered_time is the timestamp that the row was inserted
        # into the tpf_subsystems_utility_switches_metrics_table.
        # i.e. that time that the utility switched were altered online.
        self.altered_time = altered_time
