#######################################################################
#       5748-T15                                                      #
#       Copyright IBM Corp. 2022                                      #
#######################################################################
# ---START OF HISTORY------------------------------------------------ #
#   DATE        DESCRIPTION                                           #
#   20220131    PJ46608 - multi-JVM and system selector support       #
#   06162022    PJ46737 - complex-wide dashboard and mysql support    #
# ---END OF HISTORY-------------------------------------------------- #
#######################################################################
#                                                                     #
#  GENERAL INFORMATION:                                               #
#                                                                     #
#  Disclaimer:   This package is provided on an "as is" basis. There  #
#                are no warranties, express or implied, including the #
#                implied warranties of merchantability and fitness    #
#                for a particular purpose. IBM has no obligation to   #
#                provide service, defect correction, or any           #
#                maintenance for the package.  IBM has no obligation  #
#                to supply any updates or enhancements for the        #
#                package to you even if such are or later become      #
#                available.                                           #
#                                                                     #
#######################################################################
from pymysql.cursors import Cursor

from tpf_data_manager import id_manager
from tpf_nvpc.tpf_nvpc_header import NvpcHeader


class NvpcDbHelper(object):

    def get_tpf_system_id(self, nvpc_header: NvpcHeader, db_cursor: Cursor):
        return id_manager.get_tpf_system_id(
            nvpc_header.complex_name,
            nvpc_header.cpc_name,
            nvpc_header.system_name,
            nvpc_header.processor_id,
            nvpc_header.ip_address,
            nvpc_header.environment,
            db_cursor
        )

    def get_nvp_value_id(self, app_dimension, app_dimension_value, db_cursor: Cursor):
        return id_manager.get_app_dimension_value_id(
                   id_manager.get_app_dimension_id(app_dimension, db_cursor),
                   app_dimension_value,
                   db_cursor
               )
