#Since this script runs in the database container and we might have
#different shells available, no shebang will be specified.
#######################################################################
#       Licensed Materials - Property of IBM                          #
#       "Restricted Materials of IBM"                                 #
#       5748-T15                                                      #
#       Copyright IBM Corp. 2023, 2024                                #
#       All Rights Reserved                                           #
#       US Government Users Restricted Rights - Use, duplication      #
#       or disclosure restricted by GSA ADP Schedule Contract         #
#       with IBM Corp.                                                #
#######################################################################
#---START OF HISTORY--------------------------------------------------#
#   DATE        DESCRIPTION                                           #
#   20230719    PJ46904 - User-Defined Metrics                        #
#   20231004    PJ47156 - prepare config script does not work in all  #
#                         customer environments                       #
#   20240730    PJ48072 - MariaDB large temp file issue               #
#---END OF HISTORY----------------------------------------------------#
#######################################################################
#                                                                     #
#  GENERAL INFORMATION:                                               #
#                                                                     #
#  Disclaimer:   This package is provided on an "as is" basis. There  #
#                are no warranties, express or implied, including the #
#                implied warranties of merchantability and fitness    #
#                for a particular purpose. IBM has no obligation to   #
#                provide service, defect correction, or any           #
#                maintenance for the package.  IBM has no obligation  #
#                to supply any updates or enhancements for the        #
#                package to you even if such are or later become      #
#                available.                                           #
#                                                                     #
#######################################################################
DB_CMD="mysql"
if ! command -v $DB_CMD &> /dev/null
then
   DB_CMD="mariadb"
fi
echo "Using DB_CMD=$DB_CMD"

echo "Install sample user defined metrics"
eval $DB_CMD --host=127.0.0.1 --port=3306 --user=root --password=admin_passw0rd TPFDataSciDB < /home/tpf_files/SQL/tpf_sample_udm/udm_create_tables.sql
eval $DB_CMD --host=127.0.0.1 --port=3306 --user=root --password=admin_passw0rd TPFDataSciDB < /home/tpf_files/SQL/tpf_sample_udm/tpf_sample_udm_stored_procedures.sql
echo "Finished installing sample user defined metrics"