/*********************************************************************/
/*      5748-T15                                                     */
/*      Copyright IBM Corp. 2022                                     */
/*********************************************************************/
/*--START OF HISTORY-------------------------------------------------*/
/*  DATE        DESCRIPTION                                          */
/*  20230719    PJ46904 - User-Defined Metrics                       */
/*--END OF HISTORY---------------------------------------------------*/
/*********************************************************************/
/*                                                                   */
/* GENERAL INFORMATION:                                              */
/*                                                                   */
/* Disclaimer:   This package is provided on an "as is" basis. There */
/*               are no warranties, express or implied, including the*/
/*               implied warranties of merchantability and fitness   */
/*               for a particular purpose. IBM has no obligation to  */
/*               provide service, defect correction, or any          */
/*               maintenance for the package.  IBM has no obligation */
/*               to supply any updates or enhancements for the       */
/*               package to you even if such are or later become     */
/*               available.                                          */
/*                                                                   */
/* Abstract:     sql to create tables for the user defined metrics   */
/*               sample                                              */
/*                                                                   */
/*********************************************************************/

CREATE TABLE IF NOT EXISTS `udm_data_types` (
    `data_type` VARCHAR(16) NOT NULL,
    `id` INT UNSIGNED AUTO_INCREMENT,
    PRIMARY KEY (`id`),
    UNIQUE KEY (`data_type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `udm_group_names` (
    `group_name` VARCHAR(255) NOT NULL,
    `id` INT UNSIGNED AUTO_INCREMENT,
    PRIMARY KEY (`id`),
    UNIQUE KEY (`group_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `udm_metrics_table` (
    `time` datetime(3) NOT NULL,
    `system_id` SMALLINT UNSIGNED NOT NULL DEFAULT 1 COMMENT 'References `id` in `tpf_systems`',
    `data_type_id` INT UNSIGNED NOT NULL COMMENT 'References `id` in `udm_data_types`',
    `group_name_id` INT UNSIGNED NOT NULL COMMENT 'References `id` in `udm_group_names`',
    `duration` INT UNSIGNED DEFAULT NULL,
    `metric1` INT UNSIGNED DEFAULT NULL,
    `metric2` INT UNSIGNED DEFAULT NULL,
    `metric3` INT UNSIGNED DEFAULT NULL,
    PRIMARY KEY (`system_id`, `data_type_id`, `group_name_id`, `time`) USING BTREE,
    INDEX `time_index` (`time`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;