#######################################################################
#       5748-T15                                                      #
#       Copyright IBM Corp. 2023                                      #
#######################################################################
# ---START OF HISTORY------------------------------------------------ #
#   DATE        DESCRIPTION                                           #
#   20230719    PJ46904 - User-Defined Metrics                        #
# ---END OF HISTORY-------------------------------------------------- #
#######################################################################
#                                                                     #
#  GENERAL INFORMATION:                                               #
#                                                                     #
#  Disclaimer:   This package is provided on an "as is" basis. There  #
#                are no warranties, express or implied, including the #
#                implied warranties of merchantability and fitness    #
#                for a particular purpose. IBM has no obligation to   #
#                provide service, defect correction, or any           #
#                maintenance for the package.  IBM has no obligation  #
#                to supply any updates or enhancements for the        #
#                package to you even if such are or later become      #
#                available.                                           #
#                                                                     #
#######################################################################

import logging
from tpf_user_exit.udm.udm_sample_header import UDMSampleHeader

logger = logging.getLogger('tpf_zrtmc_analyzer')


class UDMSampleData(object):

    def __init__(self, json_udm_sample_data_array, udm_sample_header: UDMSampleHeader):

        """
        :param json_udm_sample_data_array: list of dictionaries, the sample data of a UDM record in the data_array.
        :param udm_sample_header: UDMSampleHeader object from UDM JSON structure
        """

        self.udm_header = udm_sample_header
        self.udm_data_array_raw_json = json_udm_sample_data_array
        self.udm_data_element_raw_json = None

        if isinstance(json_udm_sample_data_array, list) and len(json_udm_sample_data_array) > 0:
            self.udm_data_element_raw_json = json_udm_sample_data_array[0]
        elif isinstance(json_udm_sample_data_array, dict):
            self.udm_data_element_raw_json = json_udm_sample_data_array
