#######################################################################
#       5748-T15                                                      #
#       Copyright IBM Corp. 2023                                      #
#######################################################################
# --START OF CHANGE HISTORY-----------------------------------------  #
#   DEFECT  DATE      DESCRIPTION                                     #
#   26857   20230628  Create QUDM, driver for RTMC User Defined       #
#                     Metrics (UDM)                                   #
#                                                                     #
# --END OF CHANGE HISTORY-------------------------------------------  #
#######################################################################
#  This file is provided on an "as is" basis.  There are no           #
#  warranties, express or implied, including the implied warranties   #
#  of merchantability and fitness for a particular purpose.           #
#  IBM has no obligation to provide service, defect correction, or    #
#  any maintenance for the file.  IBM has no obligation to supply     #
#  any updates or enhancements for the file to you even if such are   #
#  or later become available.                                         #
#######################################################################
#  MAKEFILE NAME.....  qudm.mak                                       #
#                                                                     #
#  DESCRIPTION.....    This is the makefile for the main segment in   #
#                      the QUDM driver. The QUDM driver is used to    #
#                      test RTMC User Defined Metrics (UDM).          #
#                                                                     #
#                                                                     #
#######################################################################

#######################################################################
# Define the 4 character base name for this shared object or executable
#######################################################################

APP := QUDM
APP_ENTRY := QUDM
APP_EXPORT := ENTRY

TPF_DRIVER := qudm


#######################################################################
# Define any additional libs needed to link (-l)
# - common libs provided in env files
#######################################################################

#######################################################################
# Define envs needed to build this module, in the order of precedence
#######################################################################

maketpf_env := drvs
maketpf_env += base_rt
maketpf_env += system

#######################################################################
# Segments to be compiled with gcc compiler
#######################################################################

CXX_SRC := qudm.cpp

LIBS := DFDL

#######################################################################
# Include the maketpf.rules
#######################################################################

include maketpf.rules
